-- ========================================================================
-- Copyright (C) 2023 		Open-DSI      <support@open-dsi.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
--
-- ========================================================================

TRUNCATE TABLE `llx_c_sirene_country`;

INSERT INTO `llx_c_sirene_country` (`rowid`, `code_sirene`, `country_code`, `country_code_iso`, `country_label`) VALUES
(1, '-1',  'FR',  'FRA', 'France' ),
(2, '99131',  'BE',  'BEL', 'Belgium' ),
(3, '99127',  'IT',  'ITA', 'Italy' ),
(4, '99134',  'ES',  'ESP', 'Spain' ),
(5, '99109',  'DE',  'DEU', 'Germany' ),
(6, '99140',  'CH',  'CHE', 'Switzerland' ),
(7, '99132',  'GB',  'GBR', 'United Kingdom' ),
(8, '99136',  'IE',  'IRL', 'Irland' ),
(9, '99216',  'CN',  'CHN', 'China' ),
(10, '99351',  'TN',  'TUN', 'Tunisia' ),
(11, '99404',  'US',  'USA', 'United States' ),
(12, '99350',  'MA',  'MAR', 'Maroc' ),
(13, '99352',  'DZ',  'DZA', 'Algeria' ),
(14, '99401',  'CA',  'CAN', 'Canada' ),
(15, '99345',  'TG',  'TGO', 'Togo' ),
(16, '99328',  'GA',  'GAB', 'Gabon' ),
(17, '99135',  'NL',  'NLD', 'Nederland' ),
(18, '99112',  'HU',  'HUN', 'Hongrie' ),
(19, '99123',  'RU',  'RUS', 'Russia' ),
(20, '99104',  'SE',  'SWE', 'Sweden' ),
(21, '99326',  'CI',  'CIV', 'Côte dIvoire' ),
(22, '99341',  'SN',  'SEN', 'Senegal' ),
(23, '99415',  'AR',  'ARG', 'Argentine' ),
(24, '99322',  'CM',  'CMR', 'Cameroun' ),
(25, '99139',  'PT',  'PRT', 'Portugal' ),
(26, '99201',  'SA',  'SAU', 'Saudi Arabia' ),
(27, '99138',  'MC',  'MCO', 'Monaco' ),
(28, '99501',  'AU',  'AUS', 'Australia' ),
(29, '99226',  'SG',  'SGP', 'Singapour' ),
(30, '99212',  'AF',  'AFG', 'Afghanistan' ),
(32, '99125',  'AL',  'ALB', 'Albanie' ),
(33, '99505',  'AS',  'ASM', 'Samoa américaines' ),
(34, '99130',  'AD',  'AND', 'Andorre' ),
(35, '99395',  'AO',  'AGO', 'Angola' ),
(36, '99425',  'AI',  'AIA', 'Anguilla' ),
(38, '99441',  'AG',  'ATG', 'Antigua-et-Barbuda' ),
(39, '99252',  'AM',  'ARM', 'Arménie' ),
(40, '99135',  'AW',  'ABW', 'Aruba' ),
(41, '99110',  'AT',  'AUT', 'Autriche' ),
(42, '99253',  'AZ',  'AZE', 'Azerbaïdjan' ),
(43, '99436',  'BS',  'BHS', 'Bahamas' ),
(44, '99249',  'BH',  'BHR', 'Bahreïn' ),
(45, '99246',  'BD',  'BGD', 'Bangladesh' ),
(46, '99434',  'BB',  'BRB', 'Barbade' ),
(47, '99148',  'BY',  'BLR', 'Biélorussie' ),
(48, '99429',  'BZ',  'BLZ', 'Belize' ),
(49, '99327',  'BJ',  'BEN', 'Bénin' ),
(50, '99425',  'BM',  'BMU', 'Bermudes' ),
(51, '99214',  'BT',  'BTN', 'Bhoutan' ),
(52, '99418',  'BO',  'BOL', 'Bolivie' ),
(53, '99118',  'BA',  'BIH', 'Bosnie-Herzégovine' ),
(54, '99347',  'BW',  'BWA', 'Botswana' ),
(55, '99103',  'BV',  'BVT', 'Ile Bouvet' ),
(56, '99416',  'BR',  'BRA', 'Brazil' ),
(57, '99308',  'IO',  'IOT', 'Territoire britannique de lOcéan Indien' ),
(58, '99225',  'BN',  'BRN', 'Brunei' ),
(59, '99111',  'BG',  'BGR', 'Bulgarie' ),
(60, '99331',  'BF',  'BFA', 'Burkina Faso' ),
(61, '99321',  'BI',  'BDI', 'Burundi' ),
(62, '99234',  'KH',  'KHM', 'Cambodge' ),
(63, '99396',  'CV',  'CPV', 'Cap-Vert' ),
(64, '99425',  'KY',  'CYM', 'Iles Cayman' ),
(65, '99323',  'CF',  'CAF', 'République centrafricaine' ),
(66, '99344',  'TD',  'TCD', 'Tchad' ),
(67, '99417',  'CL',  'CHL', 'Chili' ),
(68, '99501',  'CX',  'CXR', 'Ile Christmas' ),
(69, '99501',  'CC',  'CCK', 'Iles des Cocos (Keeling)' ),
(70, '99419',  'CO',  'COL', 'Colombie' ),
(71, '99397',  'KM',  'COM', 'Comores' ),
(72, '99324',  'CG',  'COG', 'Congo' ),
(73, '99312',  'CD',  'COD', 'République démocratique du Congo' ),
(74, '99502',  'CK',  'COK', 'Iles Cook' ),
(75, '99406',  'CR',  'CRI', 'Costa Rica' ),
(76, '99119',  'HR',  'HRV', 'Croatie' ),
(77, '99407',  'CU',  'CUB', 'Cuba' ),
(79, '99116',  'CZ',  'CZE', 'République Tchèque' ),
(80, '99101',  'DK',  'DNK', 'Danemark' ),
(81, '99399',  'DJ',  'DJI', 'Djibouti' ),
(82, '99438',  'DM',  'DMA', 'Dominique' ),
(83, '99408',  'DO',  'DOM', 'République Dominicaine' ),
(84, '99420',  'EC',  'ECU', 'Equateur' ),
(85, '99301',  'EG',  'EGY', 'Egypte' ),
(86, '99414',  'SV',  'SLV', 'Salvador' ),
(87, '99314',  'GQ',  'GNQ', 'Guinée Equatoriale' ),
(88, '99317',  'ER',  'ERI', 'Erythrée' ),
(89, '99106',  'EE',  'EST', 'Estonia' ),
(90, '99315',  'ET',  'ETH', 'Ethiopie' ),
(91, '99427',  'FK',  'FLK', 'Iles Falkland' ),
(92, '99101',  'FO',  'FRO', 'Iles Féroé' ),
(93, '99508',  'FJ',  'FJI', 'Iles Fidji' ),
(94, '99105',  'FI',  'FIN', 'Finlande' ),
(95, '99428',  'GF',  'GUF', 'Guyane française' ),
(98, '99304',  'GM',  'GMB', 'Gambie' ),
(99, '99255',  'GE',  'GEO', 'Georgia' ),
(100, '99329',  'GH',  'GHA', 'Ghana' ),
(101, '99133',  'GI',  'GIB', 'Gibraltar' ),
(102, '99126',  'GR',  'GRC', 'Greece' ),
(103, '99430',  'GL',  'GRL', 'Groenland' ),
(104, '99435',  'GD',  'GRD', 'Grenade' ),
(106, '99505',  'GU',  'GUM', 'Guam' ),
(107, '99409',  'GT',  'GTM', 'Guatemala' ),
(108, '99330',  'GN',  'GIN', 'Guinea' ),
(109, '99392',  'GW',  'GNB', 'Guinea-Bissao' ),
(111, '99410',  'HT',  'HTI', 'Haiti' ),
(112, '99501',  'HM',  'HMD', 'Iles Heard et McDonald' ),
(113, '99129',  'VA',  'VAT', 'Saint-Siège (Vatican)' ),
(114, '99411',  'HN',  'HND', 'Honduras' ),
(115, '99230',  'HK',  'HKG', 'Hong Kong' ),
(116, '99102',  'IS',  'ISL', 'Islande' ),
(117, '99223',  'IN',  'IND', 'India' ),
(118, '99231',  'ID',  'IDN', 'Indonésie' ),
(119, '99204',  'IR',  'IRN', 'Iran' ),
(120, '99203',  'IQ',  'IRQ', 'Iraq' ),
(121, '99207',  'IL',  'ISR', 'Israel' ),
(122, '99426',  'JM',  'JAM', 'Jamaïque' ),
(123, '99217',  'JP',  'JPN', 'Japon' ),
(124, '99222',  'JO',  'JOR', 'Jordanie' ),
(125, '99256',  'KZ',  'KAZ', 'Kazakhstan' ),
(126, '99332',  'KE',  'KEN', 'Kenya' ),
(127, '99513',  'KI',  'KIR', 'Kiribati' ),
(128, '99237',  'KP',  'PRK', 'North Corea' ),
(129, '99237',  'KR',  'KOR', 'South Corea' ),
(130, '99240',  'KW',  'KWT', 'Koweït' ),
(131, '99257',  'KG',  'KGZ', 'Kirghizistan' ),
(132, '99241',  'LA',  'LAO', 'Laos' ),
(133, '99107',  'LV',  'LVA', 'Lettonie' ),
(134, '99205',  'LB',  'LBN', 'Liban' ),
(135, '99348',  'LS',  'LSO', 'Lesotho' ),
(136, '99302',  'LR',  'LBR', 'Liberia' ),
(137, '99316',  'LY',  'LBY', 'Libye' ),
(138, '99113',  'LI',  'LIE', 'Liechtenstein' ),
(139, '99108',  'LT',  'LTU', 'Lituanie' ),
(140, '99137',  'LU',  'LUX', 'Luxembourg' ),
(141, '99232',  'MO',  'MAC', 'Macao' ),
(142, '99156',  'MK',  'MKD', 'ex-République yougoslave de Macédoine' ),
(143, '99333',  'MG',  'MDG', 'Madagascar' ),
(144, '99334',  'MW',  'MWI', 'Malawi' ),
(145, '99227',  'MY',  'MYS', 'Malaisie' ),
(146, '99229',  'MV',  'MDV', 'Maldives' ),
(147, '99335',  'ML',  'MLI', 'Mali' ),
(148, '99144',  'MT',  'MLT', 'Malte' ),
(149, '99515',  'MH',  'MHL', 'Iles Marshall' ),
(151, '99336',  'MR',  'MRT', 'Mauritanie' ),
(152, '99390',  'MU',  'MUS', 'Maurice' ),
(154, '99405',  'MX',  'MEX', 'Mexique' ),
(155, '99516',  'FM',  'FSM', 'Micronésie' ),
(156, '99151',  'MD',  'MDA', 'Moldavie' ),
(157, '99242',  'MN',  'MNG', 'Mongolie' ),
(158, '99425',  'MS',  'MSR', 'Monserrat' ),
(159, '99393',  'MZ',  'MOZ', 'Mozambique' ),
(160, '99224',  'MM',  'MMR', 'Birmanie (Myanmar)' ),
(161, '99311',  'NA',  'NAM', 'Namibie' ),
(162, '99507',  'NR',  'NRU', 'Nauru' ),
(163, '99215',  'NP',  'NPL', 'Népal' ),
(166, '99502',  'NZ',  'NZL', 'Nouvelle-Zélande' ),
(167, '99412',  'NI',  'NIC', 'Nicaragua' ),
(168, '99337',  'NE',  'NER', 'Niger' ),
(169, '99338',  'NG',  'NGA', 'Nigeria' ),
(170, '99502',  'NU',  'NIU', 'Nioué' ),
(171, '99501',  'NF',  'NFK', 'Ile Norfolk' ),
(172, '99505',  'MP',  'MNP', 'Mariannes du Nord' ),
(173, '99103',  'NO',  'NOR', 'Norvège' ),
(174, '99250',  'OM',  'OMN', 'Oman' ),
(175, '99213',  'PK',  'PAK', 'Pakistan' ),
(176, '99517',  'PW',  'PLW', 'Palaos' ),
(177, '99261',  'PS',  'PSE', 'Territoire Palestinien Occupé' ),
(178, '99413',  'PA',  'PAN', 'Panama' ),
(179, '99510',  'PG',  'PNG', 'Papouasie-Nouvelle-Guinée' ),
(180, '99421',  'PY',  'PRY', 'Paraguay' ),
(181, '99422',  'PE',  'PER', 'Peru' ),
(182, '99220',  'PH',  'PHL', 'Philippines' ),
(183, '99503',  'PN',  'PCN', 'Iles Pitcairn' ),
(184, '99122',  'PL',  'POL', 'Pologne' ),
(185, '99432',  'PR',  'PRI', 'Porto Rico' ),
(186, '99248',  'QA',  'QAT', 'Qatar' ),
(188, '99114',  'RO',  'ROU', 'Roumanie' ),
(189, '99340',  'RW',  'RWA', 'Rwanda' ),
(190, '99306',  'SH',  'SHN', 'Sainte-Hélène' ),
(191, '99442',  'KN',  'KNA', 'Saint-Christophe-et-Niévès' ),
(192, '99439',  'LC',  'LCA', 'Sainte-Lucie' ),
(194, '99440',  'VC',  'VCT', 'Saint-Vincent-et-les-Grenadines' ),
(195, '99506',  'WS',  'WSM', 'Samoa' ),
(196, '99128',  'SM',  'SMR', 'Saint-Marin' ),
(197, '99394',  'ST',  'STP', 'Sao Tomé-et-Principe' ),
(198, '99121',  'RS',  'SRB', 'Serbie' ),
(199, '99398',  'SC',  'SYC', 'Seychelles' ),
(200, '99342',  'SL',  'SLE', 'Sierra Leone' ),
(201, '99117',  'SK',  'SVK', 'Slovaquie' ),
(202, '99145',  'SI',  'SVN', 'Slovénie' ),
(203, '99512',  'SB',  'SLB', 'Iles Salomon' ),
(204, '99318',  'SO',  'SOM', 'Somalie' ),
(205, '99303',  'ZA',  'ZAF', 'South Africa' ),
(206, '99427',  'GS',  'SGS', 'Iles Géorgie du Sud et Sandwich du Sud' ),
(207, '99235',  'LK',  'LKA', 'Sri Lanka' ),
(208, '99343',  'SD',  'SDN', 'Soudan' ),
(209, '99437',  'SR',  'SUR', 'Suriname' ),
(210, '99103',  'SJ',  'SJM', 'Iles Svalbard et Jan Mayen' ),
(211, '99391',  'SZ',  'SWZ', 'Swaziland' ),
(212, '99206',  'SY',  'SYR', 'Syrie' ),
(213, '99236',  'TW',  'TWN', 'Taïwan' ),
(214, '99259',  'TJ',  'TJK', 'Tadjikistan' ),
(215, '99309',  'TZ',  'TZA', 'Tanzanie' ),
(216, '99219',  'TH',  'THA', 'Thaïlande' ),
(217, '99262',  'TL',  'TLS', 'Timor Oriental' ),
(218, '99502',  'TK',  'TKL', 'Tokélaou' ),
(219, '99509',  'TO',  'TON', 'Tonga' ),
(220, '99433',  'TT',  'TTO', 'Trinité-et-Tobago' ),
(221, '99208',  'TR',  'TUR', 'Turquie' ),
(222, '99260',  'TM',  'TKM', 'Turkménistan' ),
(223, '99425',  'TC',  'TCA', 'Iles Turks-et-Caicos' ),
(224, '99511',  'TV',  'TUV', 'Tuvalu' ),
(225, '99339',  'UG',  'UGA', 'Ouganda' ),
(226, '99155',  'UA',  'UKR', 'Ukraine' ),
(227, '99247',  'AE',  'ARE', 'United Arab Emirates' ),
(229, '99423',  'UY',  'URY', 'Uruguay' ),
(230, '99258',  'UZ',  'UZB', 'Ouzbékistan' ),
(231, '99514',  'VU',  'VUT', 'Vanuatu' ),
(232, '99424',  'VE',  'VEN', 'Vénézuela' ),
(233, '99243',  'VN',  'VNM', 'Viêt Nam' ),
(234, '99425',  'VG',  'VGB', 'Iles Vierges britanniques' ),
(235, '99432',  'VI',  'VIR', 'Iles Vierges américaines' ),
(237, '99389',  'EH',  'ESH', 'Sahara occidental' ),
(238, '99251',  'YE',  'YEM', 'Yémen' ),
(239, '99346',  'ZM',  'ZMB', 'Zambie' ),
(240, '99310',  'ZW',  'ZWE', 'Zimbabwe' ),
(241, '99132',  'GG',  'GGY', 'Guernesey' ),
(242, '99132',  'IM',  'IMN', 'Ile de Man' ),
(243, '99132',  'JE',  'JEY', 'Jersey' ),
(244, '99120',  'ME',  'MNE', 'Monténégro' ),
(246, '99445',  'MF',  'MAF', 'Saint-Martin' ),
(247, '99157',  'XK',  'XKX', 'Kosovo' ),
(300, '99444',  'CW',  'CUW', 'Curaçao' );